Subject: Fw: Swagtron Feedback
From: Saurabh Dadu <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>
Date: Tue, 11 Oct 2022 15:17:43 +0000

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Saurabh Dadu <[email-masked]>
Sent: 11 October 2022 8:28 PM
To: Saurabh Dadu <[email-masked]>
Subject: Swagtron Feedback

[1:05 PM] Debbie Tan

The top issue we've encountered with the LSM Team is items being missed on follow-up. Reps will often tell customers that they are forwarding the case to "the concerned department", but there is no movement beyond that point. There is no actual inquiry into the matter with our US team and no further response to the customer. This would not be discovered until the customer reaches out again and the issue is looked into.

This is why we created the “Follow-Up” status feature on cases, but this hasn’t always proven effective as reps are either not using this status feature at all, or they are not actively following up on these and obtaining answers to respond to customers. During the various times I have swept through these cases, I always discovered issues that were already solved on another later case or have otherwise become irrelevant, but the Follow-Up case still remained open. This tells me that reps are not actually working on these cases. I have asked multiple times for reps to go through their Follow-Up case list weekly in order to stay on top of the issues. I understand when a case is unresolved due to lack of internal answers, but a lot of the times, it is due to there being no active search for an answer/resolution. There should also be a courtesy follow-up message when an issue is still being looked into, rather than having a case sit without any response at all for a long period of time.

There is a pattern of reps not paying close attention to what the customer is asking for or complaining about, and their response does not properly address the issue. This is a general issue, but a recent example I can cite is when a customer claimed to have received their scooter damaged upon purchase from another seller. Instead of referring the customer to the seller as it was supposedly damaged in shipment, the rep asked for photos of the damage, which was provided. The photos showed a scooter that had obviously been used as it had noticeable dirt on the deck and wheels. The rep did not notice this, and then asked the customer for a photo of another part that was not damaged, and stated that we needed to see it in order to further assist. This confused those of us who later read through the case, but we do often find similar situations where the reps’ responses do not align with the issue at hand.

Similar to that issue, there have been many instances where reps repeatedly apologize for a RA exchange product being out of stock instead of actively checking for recertified inventory or different color options. We’ve had customers wait up to weeks and months longer than needed to due to the inattentiveness in these situations.

Regarding live chat, we have been seeing satisfaction rates slip lower and lower this year. We have not hit our 90% SLA for most of this year.

Rep Nitin is rated most poorly on chats. He accounted for 38% of “bad” ratings in the last 30 days:
Oliver/Nitin: 8
Yoel/Yarngam: 4 (1 is shared)

Duke/Shivendra: 3 (1 is shared)
Adam/Mohd: 1
Peter/Rajeshdeep: 1
US team (2 reps total): 5

While many of these issues reoccur, I do appreciate the graciousness and humility in which these notes are received. I’ve never encountered difficulty with negative feedback being accepted by the LSM supervisor. I am either given an explanation, apology and/or assurance that the issue will be addressed. We have seen some positive changes, but are still waiting for more improvements on these critical issues.

Regards,

Saurabh Dadu
LiveSalesman